<?php 
	#############################################################
	#	WEATHER34 by BRIAN UNDERDOWN 2015-21                                                        
	#	CREATED FOR WEATHER34 AURORA MKII              	 										 
	#   		
	# 	Released: September 2020   REVISED September 2021                   			           
	# 	     Davis Airlink                                                                                         
	#   weather34 	                                                                   
	#############################################################
include('livedata.php'); 
if ($clockformat=='12'){$timeformat= "g:ia";}
else if ($clockformat=='24'){$timeformat= "H:i";}
$aqiweather["aqindex"]      = number_format(pm25_to_aqi($weather["airquality-davispm25"]), 1);	
$weather["airquality-davispm25-24h"]=number_format(pm25_to_aqi($meteobridgeapi[184]), 1);	
$weather["airquality-davispmAQI25-dmax"]=number_format(pm25_to_aqi($meteobridgeapi[186]), 1);	
//$weather["airquality-davispm25-dmax"]=number_format(pm25_to_aqi($weather["airquality-davispm25-24h"]), 1);	
$weather["airquality-davispm25-24ha"]=number_format($meteobridgeapi[184], 1);	
$weather["airquality-davispm10-24ha"]=number_format($meteobridgeapi[185], 1);	
$weather["airquality-davispm10"]=number_format($weather["airquality-davispm10"],1);
//$weather["airquality-davispm10"]=$meteobridgeapi[182];
     if ($weather["airquality-davispm25"]=='--'){$weather["airquality-davispm25"]='N/A';};
     if ($weather["airquality-davispm10"]=='--'){$weather["airquality-davispm10"]='N/A';};   
     if ($aqiweather["aqindex"] >= 401) { $aqicaution=' Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqindex"] >= 301) {$aqicaution='Health alert.Everyone may experience more serious health effects';} 
     else if ($aqiweather["aqindex"] >= 201) {$aqicaution='Health warnings of emergency conditions.The entire population is more likely to be affected. ';} 
     else if ($aqiweather["aqindex"] >= 151) {$aqicaution='Everyone may begin to experience health effects members of sensitive groups may experience more serious health effects.';} 
     else if ($aqiweather["aqindex"] >= 101) {$aqicaution='Members of sensitive groups may experience health effects.The general public is not likely to be affected.';} 
     else if ($aqiweather["aqindex"] >= 51) {$aqicaution='Air quality is acceptable. However for some pollutants there may be a moderate health concern for a very small number of people.';} 
     else if ($aqiweather["aqindex"] >= 0) {$aqicaution='Air quality is considered satisfactory air pollution poses little or no risk.';} 

 ?>
<link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css') ?>" rel="stylesheet prefetch">
<alamanacword>Davis Airlink Data (<alternativeblue><?php echo $davisairqualitylocation?></alternativeblue>)</alamanacword>

<ul class="grid-containeralmcharts">
<li><iframe  class="charttempmodule3"  src="weather34charts/todayairqualitychart-davis.php" frameborder="0" scrolling="no" ></iframe>
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/todayairqualitychart-davisp.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/monthairqualitymodulechart2.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/monthairqualitychart-davisp.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li><iframe  class="charttempmodule3"  src="weather34charts/yearairqualitymodulechart2.php" frameborder="0" scrolling="no" ></iframe>  
<div class='weather34zoom2'><div class='weatherzoomholder'><a href="weather34charts/yearairqualitychart-davisp.php" data-lity data-title='Zoom'>
<?php echo $weather34chartzoom?></a></div></div>
</li>

<li>
<div style="margin-top:30px;margin-left:0px;">
<div class="almanac"><div class="almanac-content">
<?php  //Current EPA
echo "<valuetextheading1>Current Air Quality (EPA)</deepblue></valuetextheading1><br>";   
echo "<div class=tempmodulehome0-5c>";
if($aqiweather["aqindex"] >=300){ echo "<purple>".$aqiweather["aqindex"] ."</purple>";}
else if($aqiweather["aqindex"]  >=250){ echo "<deepred>".$aqiweather["aqindex"] ."</deepred>";}
else if($aqiweather["aqindex"]  >=150){ echo "<red>".$aqiweather["aqindex"] ."</red>";}
else if($aqiweather["aqindex"]  >=100){ echo "<orange>".$aqiweather["aqindex"] ."</orange>";}
else if($aqiweather["aqindex"]  >=50){ echo "<yellow>".$aqiweather["aqindex"] ."</yellow>";}
else if($aqiweather["aqindex"]  >=0){ echo "<green>".$aqiweather["aqindex"] ."</green>";}
?>
<smalltempunit2></div></div>


<div class="almanac2"><div class="almanac-content">
<?php  //PM2.5 
echo "<valuetextheading1>24 Hour Average PM2.5</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($weather["airquality-davispm25-24ha"] >=250.4){ echo "<purple>".$weather["airquality-davispm25-24ha"] ."</purple>";}
else if($weather["airquality-davispm25-24ha"]  >=199.9){ echo "<deepred>".$weather["airquality-davispm25-24ha"] ."</deepred>";}
else if($weather["airquality-davispm25-24ha"]  >=55.4){ echo "<red>".$weather["airquality-davispm25-24ha"] ."</red>";}
else if($weather["airquality-davispm25-24ha"]  >=35.4){ echo "<orange>".$weather["airquality-davispm25-24ha"] ."</orange>";}
else if($weather["airquality-davispm25-24ha"]  >=12){ echo "<yellow>".$weather["airquality-davispm25-24ha"] ."</yellow>";}
else if($weather["airquality-davispm25-24ha"]  >=0){ echo "<green>".$weather["airquality-davispm25-24ha"] ."</green>";}
?><smalltempunit2></div></div>


<div class="almanac3"><div class="almanac-content">
<?php  //PM2.5 
echo "<valuetextheading1>Current PM2.5</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($weather["airquality-davispm25"]>=250.4){ echo "<purple>".$weather["airquality-davispm25"]."</purple>";}
else if($weather["airquality-davispm25"] >=199.9){ echo "<deepred>".$weather["airquality-davispm25"]."</deepred>";}
else if($weather["airquality-davispm25"] >=55.4){ echo "<red>".$weather["airquality-davispm25"]."</red>";}
else if($weather["airquality-davispm25"] >=35.4){ echo "<orange>".$weather["airquality-davispm25"]."</orange>";}
else if($weather["airquality-davispm25"] >=12){ echo "<yellow>".$weather["airquality-davispm25"]."</yellow>";}
else if($weather["airquality-davispm25"] >=0){ echo "<green>".$weather["airquality-davispm25"]."</green>";}
?><smalltempunit2></div></div>


<div class="almanac4"><div class="almanac-content">
<?php  //PM 10
echo "<valuetextheading1>Current Day Max PM2.5</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($weather["airquality-davispm25-dmax"] >=300){ echo "<purple>".$weather["airquality-davispm25-dmax"] ."</purple>";}
else if($weather["airquality-davispm25-dmax"]  >=250){ echo "<deepred>".$weather["airquality-davispm25-dmax"] ."</deepred>";}
else if($weather["airquality-davispm25-dmax"]  >=150){ echo "<red>".$weather["airquality-davispm25-dmax"] ."</red>";}
else if($weather["airquality-davispm25-dmax"]  >=100){ echo "<orange>".$weather["airquality-davispm25-dmax"] ."</orange>";}
else if($weather["airquality-davispm25-dmax"]  >=50){ echo "<yellow>".$weather["airquality-davispm25-dmax"] ."</yellow>";}
else if($weather["airquality-davispm25-dmax"]  >=0){ echo "<green>".$weather["airquality-davispm25-dmax"] ."</green>";}
 ?>
</smalltempunit2></div></div>


<div class="almanac5"><div class="almanac-content">
<?php  //PM10
echo "<valuetextheading1>Current PM10</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($weather["airquality-davispm10"]>=250.4){ echo "<purple>".$weather["airquality-davispm10"]."</purple>";}
else if($weather["airquality-davispm10"] >=199.9){ echo "<deepred>".$weather["airquality-davispm10"]."</deepred>";}
else if($weather["airquality-davispm10"] >=55.4){ echo "<red>".$weather["airquality-davispm10"]."</red>";}
else if($weather["airquality-davispm10"] >=35.4){ echo "<orange>".$weather["airquality-davispm10"]."</orange>";}
else if($weather["airquality-davispm10"] >=12){ echo "<yellow>".$weather["airquality-davispm10"]."</yellow>";}
else if($weather["airquality-davispm10"] >=0){ echo "<green>".$weather["airquality-davispm10"]."</green>";}
?><smalltempunit2></div></div>



<div class="almanac6"><div class="almanac-content">
<?php  //PM10 24 Hour Average
echo "<valuetextheading1>Current Day Max PM10</valuetextheading1><br>";
echo "<div class=tempmodulehome0-5c>";
if($weather["airquality-davispm10-dmax"] >=300){ echo "<purple>".$weather["airquality-davispm10-dmax"] ."</purple>";}
else if($weather["airquality-davispm10-dmax"]  >=250){ echo "<deepred>".$weather["airquality-davispm10-dmax"] ."</deepred>";}
else if($weather["airquality-davispm10-dmax"]  >=150){ echo "<red>".$weather["airquality-davispm10-dmax"] ."</red>";}
else if($weather["airquality-davispm10-dmax"]  >=100){ echo "<orange>".$weather["airquality-davispm10-dmax"] ."</orange>";}
else if($weather["airquality-davispm10-dmax"]  >=50){ echo "<yellow>".$weather["airquality-davispm10-dmax"] ."</yellow>";}
else if($weather["airquality-davispm10-dmax"]  >=0){ echo "<green>".$weather["airquality-davispm10-dmax"] ."</green>";}
?><smalltempunit2></div></div>





</li>
<a href="https://canvasjs.com/" target="_blank" style="position:relative;background:0;box-shadow:none;margin-top:3px;">
<?php echo $canvasjs?>v2.3.1 GA (CC BY-NC 3.0) Non-Commercial-Version </a>
</ul>
</div></div>