<?php include_once('livedata.php');
include_once('updater4.php');
date_default_timezone_set($TZ); ?>
<!DOCTYPE html>
<html>

<head>
  <title> <?php echo $stationName; ?> Console Charts</title>
  <meta name="title" content="<?php echo $stationName; ?> Console Charts">
  <meta name="description" content="Charts for <?php echo $stationName; ?>">
  <meta name="viewport" content="width=device-width, initial-scale=1,user-scalable=yes">
  <meta name="mobile-web-app-capable" content="yes">
  <link href="weather34-theme.css?version=<?php echo filemtime('weather34-theme.css') ?>" rel="stylesheet prefetch">
  <link rel="preload" href="fonts/clock3-webfont.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-regular.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-medium.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/verbatim-bold.woff2" as="font" type="font/woff2" crossorigin>
  <link rel="preload" href="fonts/HelveticaNeue-Medium.woff2" as="font" type="font/woff2" crossorigin>

</head>

<body>
  <!-- weather34 NANOSD console flex layout -->
  <div class="weather34-tablet">
    <div class="container">
      <div class="nav-top">
        <div class="weather34-indoor"><?php echo $timeicon ?> <div id="weather34clock4"></div>
          <div class="desktoplink4"><?php echo $chartcalendar;
                                    echo date('F Y'); ?> Charts</div>
        </div>
        <div class="desktoplink3"><?php echo $headerlocation;
                                  echo $stationName ?>
          <div class="online"><?php if (file_exists($livedata) && time() - filemtime($livedata) > 300) echo $wirelessoffline;
                              else echo $wireless ?></div>
        </div>
      </div>
      <ul class="grid-containercharts">
        <li>
          <div id=temperature></div>
          <div class='weather34zoom'>
            <div class='weatherzoomholder'><a href="weather34charts/monthtemperaturemodulechart2a.php" data-lity data-title='Zoom'>
                <?php echo $weather34chartzoom ?></a></div>
          </div>
        </li>


        <li>
          <div id=humidity></div>
          <div class='weather34zoom'>
            <div class='weatherzoomholder'>
              <a href="weather34charts/monthhumiditymodulechart2a.php" data-lity data-title='Zoom'>
                <?php echo $weather34chartzoom ?></a>
            </div>
          </div>
        </li>


        <li>
          <div id=dewpoint></div>
          <div class='weather34zoom'>
            <div class='weatherzoomholder'>
              <a href="weather34charts/monthdewpointmodulechart2a.php" data-lity data-title='Zoom'>
                <?php echo $weather34chartzoom ?></a>
            </div>
          </div>
        </li>

        <li>
          <div id=rain></div>
          <div class='weather34zoom'>
            <div class='weatherzoomholder'>
              <a href="weather34charts/monthrainfallmodulechart2a.php" data-lity data-title='Zoom'>
                <?php echo $weather34chartzoom ?></a>
            </div>
          </div>
        </li>

        <li>
          <div id=gust></div>
          <div class='weather34zoom'>
            <div class='weatherzoomholder'>
              <a href="weather34charts/monthwindspeedmodulechart2a.php" data-lity data-title='Zoom'>
                <?php echo $weather34chartzoom ?></a>
            </div>
          </div>
        </li>

        <li>
          <div id=winddir></div>
          <div class='weather34zoom'>
            <div class='weatherzoomholder'>
              <a href='weather34charts/monthwinddirectionmodulechart2a.php' data-lity data-title='Zoom'>
                <?php echo $weather34chartzoom ?></a>
            </div>
          </div>
        </li>

        <?php if ($uvsensor == "no") { ?>
          <li>
            <div id=wind></div>
            <div class='weather34zoom'>
              <div class='weatherzoomholder'>
                <a href='weather34charts/monthwinddirectionmodulechart2a.php' data-lity data-title='Zoom'>
                  <?php echo $weather34chartzoom ?></a>
              </div>
            </div>
          </li>
        <?php } ?>

        <li>
          <div id=barometer></div>
          <div class='weather34zoom'>
            <div class='weatherzoomholder'>
              <a href="weather34charts/monthbarometermodulechart2a.php" data-lity data-title='Zoom'>
                <?php echo $weather34chartzoom ?></a>
            </div>
          </div>
        </li>

        <?php if ($uvsensor == "yes") { ?>
          <li>
            <div id=uvindex></div>
            <div class='weather34zoom'>
              <div class='weatherzoomholder'>
                <a href="weather34charts/monthuvindexmodulechart2a.php" data-lity data-title='Zoom'>
                  <?php echo $weather34chartzoom ?></a>
              </div>
            </div>
          </li>

          <li>
            <div id=solar></div>
            <div class='weather34zoom'>
              <div class='weatherzoomholder'>
                <a href="weather34charts/monthsolarmodulechart2a.php" data-lity data-title='Zoom'>
                  <?php echo $weather34chartzoom ?></a>
              </div>
            </div>
          </li>
        <?php } ?>

        <?php if ($uvsensor == "no") { ?>
          <li>
            <div id=moonsun></div>
          </li>
        <?php } ?>

        <li3>
          <div id=theclock></div>
        </li3>



        <lichart>
          <div id=chartfooter></div>
        </lichart>
      </ul>
      <div class="nav-bottom-charts">
        <a href="index.php" data-title="Return"><?php echo $weather34goback ?><icontext> Back</icontext></a>


        <!-- weather34 theme -->
        <div class="weather34switchercharts">
          <a data-title="Switch Theme"><button id="weather34theme-toggle" class="weather34switch" type="button"> <?php echo $themeshadelight; ?>
            </button>
        </div></a>
        <script>
          var toggle = document.getElementById("weather34theme-toggle");
          var storedTheme = localStorage.getItem('theme');
          if (storedTheme)
            document.documentElement.setAttribute('data-theme', storedTheme)
          toggle.onclick = function() {
            var currentTheme = document.documentElement.getAttribute("data-theme");
            var targetTheme = "light";
            if (currentTheme === "light") {
              targetTheme = "dark";
            }
            document.documentElement.setAttribute('data-theme', targetTheme)
            localStorage.setItem('theme', targetTheme);
          };
        </script>
        <bottomtoolbarspacecharts></bottomtoolbarspacecharts>


        <a href="consolecharts.php" data-title="<?php echo strftime("%A") ?> Charts">
          <?php echo $weather34chart2 ?>
          <span style="position:relative;top:-8px;font-family:weathertext2;font-size:0.8em;right:3px"> Today</span></a>

        <a href="consolecharts-year.php" data-title="<?php echo date('Y'); ?> Charts">
          <?php echo $weather34chart2 ?>
          <span style="position:relative;top:-8px;font-family:weathertext2;font-size:0.8em;right:3px"><?php echo date('Y'); ?></span></a>

          <?php if (date('Y') == '2022') { ?>
          <a href="consolecharts-2021.php" data-title="2021 Charts" class="weather34tab-icon">
            <?php echo $weather34chart2 ?>
            <span style="position:relative;top:-8px;font-family:weathertext2;font-size:0.8em;right:3px">2021</span></a>
            <?php }; ?>


        <?php if ($display2020 == 'yes') { ?>
          <a href="consolecharts-2020.php" data-title="2020 Charts" class="weather34tab-icon">
            <?php echo $weather34chart2 ?>
            <span style="position:relative;top:-8px;font-family:weathertext2;font-size:0.8em;right:3px">2020</span></a>
        <?php }; ?>

        <?php if ($display2019 == 'yes') { ?>
          <a href="consolecharts-2019.php" data-title="2019 Charts" class="weather34tab-icon">
            <?php echo $weather34chart2 ?>
            <span style="position:relative;top:-8px;font-family:weathertext2;font-size:0.8em;right:3px">2019</span></a>
        <?php }; ?>


        <weather34-rightfootericons>
          <div class="weather34-aurora"><a href="info.html" data-lity data-title="Weather34" class="footericons">
              <img src="images/weather34-logo-small.svg" width="23px" height="23px"></a></div>
        </weather34-rightfootericons>
</body>

</html>