<?php include('livedata.php');
//luftdaten air quality	SCRIPT 
$url = 'jsondata/luftdaten.txt'; // luftdaten JSON file
$data = file_get_contents($url); // put the contents of the file into a variable
$weather34luftdaten = json_decode($data,true); // decode the JSON feed
foreach ($weather34luftdaten as $weather34luftdatenaqi) {}
$aqiweather["aqi10"]     = $weather34luftdatenaqi['sensordatavalues'][0]['value'];
$aqiweather["aqi25"]=$weather34luftdatenaqi['sensordatavalues'][1]['value'];   
$aqiweather["aqi-type"]=$weather34luftdatenaqi['sensordatavalues'][0]['value_type'];
$aqiweather["aqi-type-1"]= $weather34luftdatenaqi['sensordatavalues'][1]['value_type'];
if ($aqiweather["aqi-type"]=="P1"){$aqiweather["aqi-type"]="PM 10";}
if ($aqiweather["aqi-type"]=="P2"){$aqiweather["aqi-type"]="PM 2.5";}
if ($aqiweather["aqi-type-1"]=="P2"){$aqiweather["aqi-type-1"]="PM 2.5";}
if ($aqiweather["aqi-type-1"]=="P1"){$aqiweather["aqi-type-1"]="PM 10";}
$aqiweather["aqi"]= number_format(pm25_to_aqi($aqiweather["aqi25"]), 1);
$aqiweather["aqi10"]= number_format(pm25_to_aqi($aqiweather["aqi10"]), 0);
?>

<div class="weather34-boxescontainer" style="margin-top:-5px">
<div class="weather34-maxminboxes">
<weather34-list style="width:max-content">
<?php  //PM10
if ($aqiweather["aqi10"]>=300 ){echo '<purple>'.number_format($aqiweather["aqi10"],0).'</purple><windunittabletmax>PM10</windunittabletmax>';}
else if ($aqiweather["aqi10"]>=150 ){echo '<red>'.number_format($aqiweather["aqi10"],0).'</red><windunittabletmax>PM10</windunittabletmax>';}
elseif ($aqiweather["aqi10"]>=100 ){echo '<orange>'.number_format($aqiweather["aqi10"],0).'</orange><windunittabletmax>PM10</windunittabletmax>';}
elseif ($aqiweather["aqi10"]>=50 ){echo '<yellow>'.$aqiweather["aqi10"].'</yellow><windunittabletmax>PM10</windunittabletmax>';}
elseif ($aqiweather["aqi10"]>=0 ){echo '<green>'.$aqiweather["aqi10"].'</green><windunittabletmax>PM10</windunittabletmax>';}
echo "<windunittabletdavg2>AQI EPA</windunittabletdavg2>";
?> 
</weather34-list>
</div>

<div class="weather34-maxminboxes">
<weather34-list style="width:max-content;font-size:10px">
<?php 
//health
if($aqiweather["aqi"]>=300){echo '<purple>Hazordous</purple>';}
else if($aqiweather["aqi"]>=200){echo '<icon-36-40>Very Unhealthy</icon-36-40>';}
else if($aqiweather["aqi"]>=150){echo '<red>Unhealthy</red>';}
else if($aqiweather["aqi"]>=100){echo '<orange>Caution</orange>';}
else if($aqiweather["aqi"]>=50){echo '<icon-16-20>Moderate</icon-16-20>';}
else if($aqiweather["aqi"]>=0){echo '<icon-6-10>Good</icon-6-10>';}
echo "<windunittabletdavg2>Air Quality</windunittabletdavg2>";
?>
</weather34-list>
</div></div>


<div class="todayssolarmax" style="position:relative;top:7px;left:55px">
<?php //air quality caution
echo '<a data-temprising="Location '.$lufdatenairqualitylocation.'"';
echo '">';echo $smalltabletinfo;echo "</a></div>"?>
</div>

<div class="weather34caption" style="position:relative;top:-45px">Air Quality (EPA)</div>

<div class=sunratebar style="margin-top:-40px;">
<div class="weather34sunratebar" 
style="width:<?php 
if ($aqiweather["aqi"]>=300){echo $aqiweather["aqi"]*0.3;}
else if ($aqiweather["aqi"]>=200){echo $aqiweather["aqi"]*0.35;}
else if ($aqiweather["aqi"]>=100){echo $aqiweather["aqi"]*0.45;}
else if ($aqiweather["aqi"]>=50){echo $aqiweather["aqi"]*0.6;}
else echo $aqiweather["aqi"]*0.9;?>
px;
background:<?php 
if ($aqiweather["aqi"]>=300 ){echo 'var(--purple)';}
elseif ($aqiweather["aqi"]>=250 ){echo 'var(--red)';}
elseif ($aqiweather["aqi"]>=150 ){echo 'var(--red)';}
elseif ($aqiweather["aqi"]>=100 ){echo 'var(--orange)';}
elseif ($aqiweather["aqi"]>=50 ){echo 'var(--yellow)';}
elseif ($aqiweather["aqi"]>0 ){echo 'var(--green)';}
?>
;">
</div></div>

<div class="button-dial-label-tablet" style="position:relative;top:-37px;margin-left:42px">   
<?php 
if ($aqiweather["aqi"]>=300 ){echo '<purple>'. number_format($aqiweather["aqi"],0).'</purple>';}
else if ($aqiweather["aqi"]>=200 ){echo '<red>'. number_format($aqiweather["aqi"],0).'</red>';}
else if ($aqiweather["aqi"]>=150 ){echo '<red>'.  number_format($aqiweather["aqi"],0).'</red>';}
else if ($aqiweather["aqi"]>=100 ){echo '<orange>'.  number_format($aqiweather["aqi"],0).'</orange>';}
else if ($aqiweather["aqi"]>=50 ){echo '<yellow>'. $aqiweather["aqi"].'</yellow>';}
else if ($aqiweather["aqi"]>=0 ){echo '<green>'. $aqiweather["aqi"].'</green>';}
echo "<smallunittablet4><windunittablet>PM 2.5</windunittablet></smallunittablet4></div>"; 
?>
</div></div></div>


<div class='chartdataicon' style="position:relative;margin-top:-43px;z-index:100"><a href='luftdaten-air-quality-almanac2.php' data-lity data-chartdata="Chart Data"><?php echo $weather34chartzoomtablet?></a></div>


