<?php
include('livedata.php');
####################################################################################################

#	Created For Aurora MKII   		   # 
# 	                                                                                               #
# 	                                                                                               #
# 	FORECAST WU WEATHER FORECAST: Original FEB 2019	(Updated Jul 2019)  			               #
# 	                                                                                               #
#   weather34 	                                                                   #
####################################################################################################
//original weather34 script original css/svg/php by weather34 2015-2022 clearly marked as original by weather34//

//start the wu output

?>
<style>
  .icons {
    width: 27px;
  }

  .forecastwrapper {
    display: grid;
    grid-gap: 5px;
    grid-template-columns: 185px 185px 185px 185px 185px;
    background-color: transparent;
    margin-top: 0px;
    margin-left: 0px;
    margin-bottom: 0px
  }

  .forecastbox {
    background: var(--chartforecastmodules);
    border: 1px solid var(--modulesborderside);
    border-radius: 5px;
    padding: 4px;
    padding-bottom: 14px;
    padding-top: 4px;
    font-size: 10px;
    height: 16px;
    font-family: verb;
  }



  .forecastbox a {

    font-size: 10px;
    font-family: verb;
    background: 0;
    box-shadow: none;
  }

  .forecastrain {
    position: relative;
    margin-top: -7px;
    font-size: 8px;
    left: 0px;
    margin-bottom: -8px
  }

  @media screen and (max-width:960px) {

    .forecastwrapper {
      display: grid;
      grid-gap: 10px;
      grid-template-columns: 180px 180px 180px;
      background-color: transparent;
      margin-top: -15px;
      margin-bottom: -20px;
      margin-left: 30px
    }

    .forecastbox {
      background: var(--chartforecastmodules);
      border: 1px solid var(--modulesborderside);
      border-radius: 5px;
      padding: 4px;
      padding-bottom: 20px;
      padding-top: 0px;
      font-size: 11px;
      height: 25px;
      font-family: verb;
    }
  }

  @media screen and (max-width:640px) {

    .forecastwrapper {
      display: grid;
      grid-gap: 5px;
      grid-template-columns: 160px 160px;
      background-color: transparent;
      margin-top: 5px;
      margin-bottom: 10px;
      margin-left: -7px
    }

    .forecastbox {
      background: var(--chartforecastmodules);
      border: 1px solid var(--modulesborderside);
      border-radius: 5px;
      padding: 4px;
      padding-bottom: 20px;
      padding-top: 0px;
      font-size: 9px;
      height: 30px;
      font-family: verb;
    }

    .forecastrain {
      font-size: 8px;
    }


    .forecastbox a {
      font-size: 8px;
    }
  }
</style>


<div class="forecastwrapper">
  <div class="forecastbox a">

    <?php
    echo " Temp Max &nbsp;";
    //temp non metric wu
    if (anytoC($weather["tempmmax"]) < -10) {
      echo "<icon-minus10>" . $weather["tempmmax"] . "</icon-minus10 >";
    } else if (anytoC($weather["tempmmax"]) < 0) {
      echo "<icon-minus10>" . $weather["tempmmax"] . "</icon-minus10>";
    } else if (anytoC($weather["tempmmax"]) < 6) {
      echo "<icon-0-5>" . $weather["tempmmax"] . "</icon-0-5>";
    } else if (anytoC($weather["tempmmax"]) < 12) {
      echo "<icon-6-10>" . $weather["tempmmax"] . "</icon-6-10>";
    } else if (anytoC($weather["tempmmax"]) < 15) {
      echo "<icon-11-15>" . $weather["tempmmax"] . "</icon-11-15>";
    } else if (anytoC($weather["tempmmax"]) < 20) {
      echo "<icon-16-20>" . $weather["tempmmax"] . "</icon-16-20>";
    } else if (anytoC($weather["tempmmax"]) < 25) {
      echo "<icon-21-25>" . $weather["tempmmax"] . "</icon-21-25>";
    } else if (anytoC($weather["tempmmax"]) < 30) {
      echo "<icon-26-30>" . $weather["tempmmax"] . "</icon-26-30>";
    } else if (anytoC($weather["tempmmax"]) < 35) {
      echo "<icon-31-35>" . $weather["tempmmax"] . "</icon-31-35>";
    } else if (anytoC($weather["tempmmax"]) < 45) {
      echo "<icon-36-40>" . $weather["tempmmax"] . "</icon-36-40>";
    } else if (anytoC($weather["tempmmax"]) < 100) {
      echo "<icon-41-45>" . $weather["tempmmax"] . "</icon-41-45>";
    }
    echo "&deg; ";
    echo " " . $weather["tempmmaxtime"] . "<br>";

    echo " Temp Min &nbsp;";
    //temp non metric wu
    if (anytoC($weather["tempmmin"]) < -10) {
      echo "<icon-minus10>" . $weather["tempmmin"] . "</icon-minus10 >";
    } else if (anytoC($weather["tempmmin"]) < 0) {
      echo "<icon-minus10>" . $weather["tempmmin"] . "</icon-minus10>";
    } else if (anytoC($weather["tempmmin"]) < 6) {
      echo "<icon-0-5>" . $weather["tempmmin"] . "</icon-0-5>";
    } else if (anytoC($weather["tempmmin"]) < 12) {
      echo "<icon-6-10>" . $weather["tempmmin"] . "</icon-6-10>";
    } else if (anytoC($weather["tempmmin"]) < 15) {
      echo "<icon-11-15>" . $weather["tempmmin"] . "</icon-11-15>";
    } else if (anytoC($weather["tempmmin"]) < 20) {
      echo "<icon-16-20>" . $weather["tempmmin"] . "</icon-16-20>";
    } else if (anytoC($weather["tempmmin"]) < 25) {
      echo "<icon-21-25>" . $weather["tempmmin"] . "</icon-21-25>";
    } else if (anytoC($weather["tempmmin"]) < 30) {
      echo "<icon-26-30>" . $weather["tempmmin"] . "</icon-26-30>";
    } else if (anytoC($weather["tempmmin"]) < 35) {
      echo "<icon-31-35>" . $weather["tempmmin"] . "</icon-31-35>";
    } else if (anytoC($weather["tempmmin"]) < 45) {
      echo "<icon-36-40>" . $weather["tempmmin"] . "</icon-36-40>";
    } else if (anytoC($weather["tempmmin"]) < 100) {
      echo "<icon-41-45>" . $weather["tempmmin"] . "</icon-41-45>";
    }
    echo "&deg; ";
    echo " " . $weather["tempmmintime"];
    ?>

  </div>

  <div class="forecastbox b">
    <?php
    echo " Humidity Max &nbsp;";
    //humidity max
    if ($weather["humidity_mmax"] >= 90) {
      echo "<alternativeblue>" . $weather["humidity_mmax"] . "</alternativeblue>";
    } else if ($weather["humidity_mmax"] >= 80) {
      echo "<blue>" . $weather["humidity_mmax"] . "</blue>";
    } else if ($weather["humidity_mmax"] >= 60) {
      echo "<icon-11-15>" . $weather["humidity_mmax"] . "</icon-11-15>";
    } else if ($weather["humidity_mmax"] >= 40) {
      echo "<icon-6-10>" . $weather["humidity_mmax"] . "</icon-6-10>";
    } else if ($weather["humidity_mmax"] >= 0) {
      echo "<icon-31-35>" . $weather["humidity_mmax"] . "</icon-31-35>";
    }
    echo "<smalltempunit2>%</smalltempunit2> ";
    echo " " . $weather["humidity_mmaxtime"];

    echo " Humidity Min &nbsp;";
    //Humidity min
    if ($weather["humidity_mmin"] >= 90) {
      echo "<alternativeblue>" . $weather["humidity_mmin"] . "</alternativeblue>";
    } else if ($weather["humidity_mmin"] >= 80) {
      echo "<blue>" . $weather["humidity_mmin"] . "</blue>";
    } else if ($weather["humidity_mmin"] >= 60) {
      echo "<icon-11-15>" . $weather["humidity_mmin"] . "</icon-11-15>";
    } else if ($weather["humidity_mmin"] >= 40) {
      echo "<icon-6-10>" . $weather["humidity_mmin"] . "</icon-6-10>";
    } else if ($weather["humidity_mmin"] >= 0) {
      echo "<icon-31-35>" . $weather["humidity_mmin"] . "</icon-31-35>";
    }
    echo "<smalltempunit2>%</smalltempunit2> ";
    echo " " . $weather["humidity_mmintime"] . "<br>";
    ?>
  </div>

  <div class="forecastbox c">
    <?php
    echo " Dewpoint Max &nbsp;";
    //dewpoint max
    if (anytoC($weather["dewmmax"]) < -10) {
      echo "<icon-minus10>" . $weather["dewmmax"] . "</icon-minus10 >";
    } else if (anytoC($weather["dewmmax"]) < 0) {
      echo "<icon-minus10>" . $weather["dewmmax"] . "</icon-minus10>";
    } else if (anytoC($weather["dewmmax"]) < 6) {
      echo "<icon-0-5>" . $weather["dewmmax"] . "</icon-0-5>";
    } else if (anytoC($weather["dewmmax"]) < 12) {
      echo "<icon-6-10>" . $weather["dewmmax"] . "</icon-6-10>";
    } else if (anytoC($weather["dewmmax"]) < 15) {
      echo "<icon-11-15>" . $weather["dewmmax"] . "</icon-11-15>";
    } else if (anytoC($weather["dewmmax"]) < 20) {
      echo "<icon-16-20>" . $weather["dewmmax"] . "</icon-16-20>";
    } else if (anytoC($weather["dewmmax"]) < 25) {
      echo "<icon-21-25>" . $weather["dewmmax"] . "</icon-21-25>";
    } else if (anytoC($weather["dewmmax"]) < 30) {
      echo "<icon-26-30>" . $weather["dewmmax"] . "</icon-26-30>";
    } else if (anytoC($weather["dewmmax"]) < 35) {
      echo "<icon-31-35>" . $weather["dewmmax"] . "</icon-31-35>";
    } else if (anytoC($weather["dewmmax"]) < 40) {
      echo "<icon-36-40>" . $weather["dewmmax"] . "</icon-36-40>";
    } else if (anytoC($weather["dewmmax"]) < 100) {
      echo "<icon-41-45>" . $weather["dewmmax"] . "</icon-41-45>";
    }
    echo "&deg; ";
    echo " " . $weather["dewmmaxtime"] . "<br>";

    echo " Dewpoint Min &nbsp;";
    //dewpoint min
    if (anytoC($weather["dewmmin"]) < -10) {
      echo "<icon-minus10>" . $weather["dewmmin"] . "</icon-minus10 >";
    } else if (anytoC($weather["dewmmin"]) < 0) {
      echo "<icon-minus10>" . $weather["dewmmin"] . "</icon-minus10>";
    } else if (anytoC($weather["dewmmin"]) < 6) {
      echo "<icon-0-5>" . $weather["dewmmin"] . "</icon-0-5>";
    } else if (anytoC($weather["dewmmin"]) < 12) {
      echo "<icon-6-10>" . $weather["dewmmin"] . "</icon-6-10>";
    } else if (anytoC($weather["dewmmin"]) < 15) {
      echo "<icon-11-15>" . $weather["dewmmin"] . "</icon-11-15>";
    } else if (anytoC($weather["dewmmin"]) < 20) {
      echo "<icon-16-20>" . $weather["dewmmin"] . "</icon-16-20>";
    } else if (anytoC($weather["dewmmin"]) < 25) {
      echo "<icon-21-25>" . $weather["dewmmin"] . "</icon-21-25>";
    } else if (anytoC($weather["dewmmin"]) < 30) {
      echo "<icon-26-30>" . $weather["dewmmin"] . "</icon-26-30>";
    } else if (anytoC($weather["dewmmin"]) < 35) {
      echo "<icon-31-35>" . $weather["dewmmin"] . "</icon-31-35>";
    } else if (anytoC($weather["dewmmin"]) < 40) {
      echo "<icon-36-40>" . $weather["dewmmin"] . "</icon-36-40>";
    } else if (anytoC($weather["dewmmin"]) < 100) {
      echo "<icon-41-45>" . $weather["dewmmin"] . "</icon-41-45>";
    }
    echo "&deg; ";
    echo " " . $weather["dewmmintime"];
    ?>
  </div>

  <div class="forecastbox d">

    <?php
    echo " Wind Speed Max &nbsp;";
    //wind speed max
    if ($meteobridgeapi[96] >= 16.66) {
      echo "<red>" . number_format($weather["windmmax"], 1) . "</red>&nbsp;<smalltempunit2> " . $weather["wind_units"];
    } else if ($meteobridgeapi[96] >= 11.11) {
      echo "<orange>" . number_format($weather["windmmax"], 1) . "</orange>&nbsp;<smalltempunit2>" . $weather["wind_units"];
    } else if ($meteobridgeapi[96] >= 3) {
      echo "<yellow>" . number_format($weather["windmmax"], 1) . "</yellow>&nbsp;<smalltempunit2>" . $weather["wind_units"];
    } else if ($meteobridgeapi[96] >= 0) {
      echo "<green>" . number_format($weather["windmmax"], 1) . "</green>&nbsp;<smalltempunit2>" . $weather["wind_units"];
    }
    echo "</smalltempunit2><br>";
    echo " " . $weather["windmmaxtime"];


    ?>
  </div>




  <div class="forecastbox e">

    <?php
    echo " Wind Direction Average &nbsp;";
    //wind direction average

    if ($weather['wind_direction_avgmonth'] <= 11.25) {
      echo "<br><br><alternativeblue>North " . $weather['wind_direction_avgmonth'] . "</alternativeblue>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 33.75) {
      echo "<br><alternativeblue>NNE " . $weather['wind_direction_avgmonth'] . "</alternativeblue>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 56.25) {
      echo "<br><alternativeblue>North East " . $weather['wind_direction_avgmonth'] . "</alternativeblue>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 78.75) {
      echo "<br><alternativeblue>ENE " . $weather['wind_direction_avgmonth'] . "</alternativeblue>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 101.25) {
      echo "<br><blue>East " . $weather['wind_direction_avgmonth'] . "</blue>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 123.75) {
      echo "<br><icon-21-25>ESE " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 146.25) {
      echo "<br><icon-21-25>South East " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 168.75) {
      echo "<br><icon-21-25>SSE " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 191.25) {
      echo "<br><icon-21-25>South " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 213.75) {
      echo "<br><icon-21-25>SSW " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 236.25) {
      echo "<br><icon-21-25>South West " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 258.75) {
      echo "<br><icon-21-25>WSW " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 281.25) {
      echo "<br><icon-21-25>West " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 303.75) {
      echo "<br><icon-21-25>WNW " . $weather['wind_direction_avgmonth'] . "</icon-21-25>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 326.25) {
      echo "<br><blue>North West " . $weather['wind_direction_avgmonth'] . "</blue>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 348.75) {
      echo "<br><blue>NNW " . $weather['wind_direction_avgmonth'] . "</blue>&deg; ";
    } else if ($weather['wind_direction_avgmonth'] <= 360) {
      echo "<br><alternativeblue>North</alternativeblue>";
    }


    ?>
  </div>


  <div class="forecastbox e">
    <?php
    //rain today
    echo " Rainfall Month &nbsp;<alternativeblue>";
    echo number_format($weather["rainmmax"], 2);
    echo "</alternativeblue><smalltempunit2>";
    echo $weather["rain_units"] . "</smalltempunit2> &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;";
    //rain 24 Hours
    echo " Rainfall Last Month &nbsp;<alternativeblue>";
    echo number_format($weather["rainlastmonth"], 2);
    echo "</alternativeblue><smalltempunit2>";
    echo $weather["rain_units"] . "</smalltempunit2> &nbsp;&nbsp;&nbsp;&nbsp; &nbsp;&nbsp;&nbsp;";
    ?>
  </div>


  <div class="forecastbox f">
    <?php
    echo " Pressure Max &nbsp;";
    //pressure max
    echo "<orange>" . $weather["thb0seapressmmax"] . "</orange> ";
    echo " " . $weather["thb0seapressmonthmaxtime"] . "<br>";

    echo " Pressure Min &nbsp;";
    //pressure max
    echo "<alternativeblue>" . $weather["thb0seapressmmin"] . "</alternativeblue> ";
    echo " " . $weather["thb0seapressmonthmintime"];
    ?>
  </div>



  <div class="forecastbox g">
    <?php
    //uv month max
    echo " UV INDEX Max &nbsp;";
    if ($weather["uvmmax"] >= 10) {
      echo "<purple>" . $weather["uvmmax"] . "</purple> " . $weather["uvmmaxtime"] . "<br>";
    } else if ($weather["uvmmax"] >= 8) {
      echo "<red>" . $weather["uvmmax"] . "</red> " . $weather["uvmmaxtime"] . "<br>";
    } else if ($weather["uvmmax"] >= 5) {
      echo "<orange>" . $weather["uvmmax"] . "</orange> " . $weather["uvmmaxtime"] . "<br>";
    } else if ($weather["uvmmax"] >= 3) {
      echo "<yellow>" . $weather["uvmmax"] . "</yellow> " . $weather["uvmmaxtime"] . "<br>";
    } else if ($weather["uvmmax"] > 0) {
      echo "<green>" . $weather["uvmmax"] . "</green> " . $weather["uvmmaxtime"] . "<br>";
    } else if ($weather["uvmmax"] < 0.1) {
      echo "NO <red>UV</red> DATA<br>";
    }

    //solar month max
    echo " Solar Max &nbsp;";
    if ($weather["solarmmax"] >= 800) {
      echo "<red>" . $weather["solarmmax"] . "</red> " . $weather["solarmmaxtime"] . "<br>";
    } else if ($weather["solarmmax"] >= 500) {
      echo "<orange>" . $weather["solarmmax"] . "</orange> " . $weather["solarmmaxtime"] . "<br>";
    } else if ($weather["solarmmax"] > 0) {
      echo "<yellow>" . $weather["solarmmax"] . "</yellow> " . $weather["solarmmaxtime"] . "<br>";
    } else if ($weather["solarmmax"] < 0.1) {
      echo "NO <red>Solar</red> DATA<br>";
    }
    ?>
  </div>



  <div class="forecastbox last">
    <?php echo $timeicon ?>
    <div style="font-size:8.5px;text-align:center;margin-top:-10px">

      Chart Data Last Updated <br>
      <?php
      $dayfile = date('Y');
      $forecastime = filemtime('weather34charts/' . $dayfile . '.csv');
      echo strftime("%d %B %Y %l:%M %p", $forecastime); ?>
    </div>
  </div>


  <div class="forecastbox last">
    <a href="https://canvasjs.com/" target="_blank" data-title="Canvasjs.com"><?php echo $canvasjs ?> Compiled Charts</a><br>


  </div>