<?php
	
	####################################################################################################
	#	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											           #
	# 											   # 
	# 	                                                                                               #
	# 	built on CanvasJs  	                                                                           #
	#   canvasJs.js is protected by CREATIVE COMMONS LICENCE BY-NC 3.0  	                           #
	# 	free for non commercial use and credit must be left in tact . 	                               #
	# 	                                                                                               #
	# 	Release October 2021				  	                                                       #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	include('preload.php');
	date_default_timezone_set($TZ);
	$weatherfile = date('F');
	$conv = 1;
	if ($tempunit == 'F') {$conv= 0.0393701;}	
	else if ($tempunit == 'C'){$conv= 1;}
	$int = 10;
	if ($tempunit == 'F') {$int= 0.5;}	
	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR Rain Month CHART OS Theme</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
	';	
	?>
    <br>
    <script type="text/javascript">

function WEATHER34CHARTCOLORS(rain) {
if (rain>=0 && rain<=5*<?php echo $conv ;?>) {rainlevel='hsla(185, 100%, 37%, 1)';}
else if (rain>30*<?php echo $conv ;?>){rainlevel='hsl(209, 65%, 32%)';}
else if (rain>5*<?php echo $conv ;?>){rainlevel='hsl(201, 79%, 47%)';}
return rainlevel;}


        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "<?php echo date('Y');?>/<?php echo $weatherfile;?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[1] >-100)
				//dataPoints1.push({label:rowData[0],y:parseFloat(rowData[5]*<?php echo $conv ?>)});
				dataPoints1.push({label: rowData[0],y:parseFloat(rowData[5]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[5]*<?php echo $conv ;?>))});
				
					
					
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[1] >-100)
				dataPoints2.push({label: rowData[0],y:parseFloat(rowData[5]*<?php echo $conv ?>)});
			
				
			}
			drawChart(dataPoints1,dataPoints2 );
		}
	}

	
	function drawChart( dataPoints1) {
		var chart = new CanvasJS.Chart("chartContainer2", {
         backgroundColor: "transparent",
		 animationEnabled: false,		
		
		 
		title: {
            text: " ",
			fontSize: 0,
			fontColor:' #aaa',
			fontFamily: "verb",
        },
		toolTip:{
            fontStyle: "normal",
			   cornerRadius: 4,
			   backgroundColor: "#393F4D",	
			   fontColor:"#C3CED8",					   	
               borderThickness: 3,	
			   fontSize: 11,	   
			   toolTipContent: " x: {x} y: {y} <br/> name: {name}, label:{label} ",
			   shared: true, 
			   fontFamily: "verb",  
 },
		axisX: {

            lineThickness: 1,
			lineColor: "rgba(184, 236, 243, 0.05)",
			lineDashType: "shortDash",
			gridThickness: 0,
			gridDashType: "dot",	
			labelFontColor:'<?php echo $ccolor2?>',
			labelFontFamily: "verb",
			tickThickness: 0,
			labelFontSize:6,	
			interval:<?php echo $thedayinterval?>, 	
   			minimum:-0.5, 
			margin: 0,
			labelAutoFit: true , 
			
			
			
			},
			
		axisY:{				
		titleFontSize: 0,       
		margin: 0,
		lineThickness: 0,			
		minimum:0,		
		interval: 0.1,
		gridThickness: 0,
        tickThickness: 0,	
        includeZero:true,	
		labelFontSize: 0,	
		
			 
		
      },
	  
	  legend:{
      fontFamily: "verb",
      fontColor:"#555",
	  margin: 0,
  
 },
		
		
 data: [
		{
			//Barometer
			type: "column",		
			showInLegend:false,
			
			name:"Rainfall",
			dataPoints: dataPoints1,
			yValueFormatString:"##.## <?php echo $rainunit ;?>",
		}

		]
		});

		setTimeout(function(){
		chart.render();
	},500);
		
	}
});</script>
<body>


</script>
<div id="chartContainer2" class="charthome"></div></div>

</body></html>