<?php
	
	####################################################################################################
	#	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	built on CanvasJs  	                                                                           #
	#   canvasJs.js is protected by CREATIVE COMMONS LICENCE BY-NC 3.0  	                           #
	# 	free for non commercial use and credit must be left in tact . 	                               #
	# 	                                                                                               #
	# 	Release December 2020					  	                                                   #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	
	include('preload.php');
	$conv = 1;		
	$int = 5;	
	if ($tempunit == 'F') {$conv= 0.02953 ;}	
	else if ($tempunit == 'C' && $position8=='barometer-modmmHG.php') {$conv= 0.750062;}
		$int = 5;	
	if ($tempunit == 'F') {$int= 1;}		

	if ($pressureunit == 'inHg') {$pressureunit= 'inHg';}
	else if ($pressureunit == 'hPa') {$pressureunit= 'hPa';}
	else if ($pressureunit == 'mb') {$pressureunit='mb';}
	if ($position8=='barometer-modmmHG.php') {$pressureunit= 'mmHG';}
	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>OUTDOOR Barometer CHART</title>
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
	';
	date_default_timezone_set($TZ);
	$weatherfile =date('Y')."/".date('jMY');?>
	
    <br>	
	<script type="text/javascript">
	function WEATHER34CHARTCOLORS(weather34value) {
	if (weather34value>=900 && weather34value<=1000) {thecolor='hsl(201, 79%, 47%)';}
else if (weather34value>1000 && weather34value<=1010) {thecolor='hsl(75, 62%, 43%)';}
else if (weather34value>1010 && weather34value<=1020) {thecolor='hsl(35, 77%, 58%)';}
else if (weather34value>1020 && weather34value<=1030) {thecolor='hsl(19, 66%, 55%)';} 
else if (weather34value>1030 && weather34value<=1040) {thecolor='hsl(12, 80%, 52%)';}    
else if (weather34value>1040 && weather34value<=1060) {thecolor='hsl(2, 56%, 55%)';}            
else {thecolor='hsla(206, 12%, 27%, .4)';}
return thecolor;}
	// today barometer
        $(document).ready(function () {

	var dataPoints1 = [];
	var dataPoints2 = [];
	$.ajax({
			type: "GET",
			url: "<?php echo $weatherfile?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {

				var rowData = allLinesArray[i].split(',');	

				if ( rowData[2] >-150)				
					//dataPoints1.push({label:rowData[1],y:parseFloat(rowData[3] *<?php echo $conv ?>)});		
					dataPoints1.push({label: rowData[1],y:parseFloat(rowData[3]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[3]))});
					
					}
		}
		requestTempCsv();}function requestTempCsv(){}

		function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[2] >-150)
					dataPoints2.push({label:rowData[1],y:parseFloat(rowData[3]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[3]))});
				
			}
			drawChart(dataPoints1 );
		}
	}

	
	function drawChart( dataPoints1) {
		var chart = new CanvasJS.Chart("chartContainer2", {
		backgroundColor: "transparent",
		animationEnabled: false,
		 
		title: {
			fontSize: 0,
        },
		
		toolTip:{
			enabled: false,
 },
		axisX: {
			lineThickness: 1,
			lineColor: "rgba(184, 236, 243, 0.05)",
			lineDashType: "shortDash",
			gridThickness: 0,
			gridDashType: "dot",	
			interval:'<?php echo $thetimeinterval?>',
   			intervalType: "hour",
			labelFontColor:'<?php echo $ccolor2?>',
			labelFontFamily: "verb",
			tickThickness: 0,
			labelFontSize:6,	
   			minimum:-0.5,
			margin: 0,
			labelAutoFit: true , 
			
			},
			
		axisY:{
		margin: 0,
		interval:'auto',					
		lineThickness: 0,		
		gridThickness: 0,	
        tickThickness: 0,
        includeZero: false,
		labelFontSize: 0,	
      },
	  
	  legend:{
		enabled: false,
  
 },
		
		
		data: [
		{type: "column",	
			markerSize:1,
			showInLegend:false,
			legendMarkerType: "circle",
			lineThickness: 1,
			markerType: "circle",	
			dataPoints: dataPoints1,
			name:"Barometer",			
			//yValueFormatString:"#0.# °",
			markerBorderColor: 'red',
			yValueFormatString: "##.## <?php echo $pressureunit ;?>",
		},
		{
			//not using in daily barometer
		}

		]
		});

		setTimeout(function(){
		chart.render();
	},500);
		
	}
});</script>
<body>
</script>
<div id="chartContainer2" class="charthome"></div></div>

</body></html>