<?php
	
	####################################################################################################
	#	CREATED FOR WEATHER34 AURORA MKII TEMPLATE 											   #
	# 											   # 
	# 	                                                                                               #
	# 	built on CanvasJs  	                                                                           #
	#   canvasJs.js is protected by CREATIVE COMMONS LICENCE BY-NC 3.0  	                           #
	# 	free for non commercial use and credit must be left in tact . 	                               #
	# 	                                                                                               #
	# 	Release December 2020					  	                                                   #
	# 	                                                                                               #
	#   weather34 	                                                                   #
	####################################################################################################
	
	
	include('preload.php');		
	$conv = 1;
	if ($windunit == 'mph') {$conv= '2.23694';}
	if ($windunit == 'm/s') {$conv= '1';}
	if ($windunit =='kts') {$conv= '1.94384';}
	if ($windunit =='km/h'){$conv= '3.5999916767997';}

		if ($windunit == 'mph') { $unit= 'mph';}
		if ($windunit =='m/s') { $unit= 'm/s';}
		if ($windunit =='km/h'){$unit= 'kmh';}
		if ($windunit =='kts') {$unit= 'kts';}
	
    echo '
<!doctype html public "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">

<html>
	<head>
		<meta http-equiv="Content-type" content="text/html; charset=utf-8" />
		<title>Wind Speed CHART</title>
		
		<style>@font-face {font-family: verb;src: url(fonts/verbatim-bold.woff2) format("woff2"), url(fonts/verbatim-bold.woff) format("woff");font-display: swap}</style>
		
	';
	date_default_timezone_set($TZ);
	$date= date('D jS Y');$weatherfile =date('Y')."/".date('jMY');?>
    <br>
    	<script type="text/javascript">

function WEATHER34CHARTCOLORS(weather34value) {
if (weather34value>=0 && weather34value<=5.55556) {thecolor='hsl(75, 62%, 43%)';}
else if (weather34value>5.55556 && weather34value<=8.33333) {thecolor='hsl(35, 77%, 58%)';}
else if (weather34value>8.33333 && weather34value<=11.1111) {thecolor='hsl(19, 66%, 55%)';} 
else if (weather34value>11.1111 && weather34value<=13.8889) {thecolor='hsl(12, 80%, 52%)';}    
else if (weather34value>13.8889 && weather34value<=200) {thecolor='hsl(2, 56%, 55%)';}            
else {thecolor='hsla(206, 12%, 27%, .4)';}
return thecolor;}


		// today temperature
        $(document).ready(function () {
		var dataPoints1 = [];
		var dataPoints2 = [];
		$.ajax({
			type: "GET",
			url: "<?php echo $weatherfile?>.csv",
			dataType: "text",
			cache:false,
			success: function(data) {processData1(data),processData2(data);}
		});
	
	function processData1(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[2] >-150)
					//dataPoints1.push({label: rowData[1],y:parseFloat(rowData[6]*<?php echo $conv ?>)});
					dataPoints1.push({label: rowData[1],y:parseFloat(rowData[6]*<?php echo $conv ;?>),color:WEATHER34CHARTCOLORS(parseFloat(rowData[6]))});
					
			}
		}
		requestTempCsv();}function requestTempCsv(){}

	function processData2(allText) {
		var allLinesArray = allText.split('\n');
		if(allLinesArray.length>0){
			
			for (var i = 0; i <= allLinesArray.length-1; i++) {
				var rowData = allLinesArray[i].split(',');
				if ( rowData[2] >-150)
					dataPoints2.push({label: rowData[1],y:parseFloat(rowData[7]*<?php echo $conv ?>)});
					
				
			}
			drawChart(dataPoints1 , dataPoints2 );
		}
	}

		function drawChart( dataPoints1 , dataPoints2 ) {
		var chart = new CanvasJS.Chart("chartContainer2", {
		 backgroundColor: "transparent",
		 animationEnabled: false,
		 margin: 0,
		
		title: {
            text: "From 00:00 - <?php echo date('H:i')?>",
			fontSize: 0,
			fontColor:' #777',
			fontFamily: "verb",
			margin: -25,
        },
		zoomEnabled: false,
		
		
		toolTip:{
			enabled: false,
 },
		axisX: {
			lineThickness: 1,
			lineColor: "rgba(184, 236, 243, 0.05)",
			lineDashType: "shortDash",
			gridThickness: 0,			
			interval:'<?php echo $thetimeinterval?>',
   			intervalType: "hour",
			labelFontColor:'<?php echo $ccolor2?>',
			labelFontFamily: "verb",
			tickThickness: 0,
			labelFontSize:6,	
   			minimum:-0.5,
			margin: 0,
			labelAutoFit: true , 
			
			
			},
			
		axisY:{
		margin: 0,		
		interval:5,		
		lineThickness: 0,			
		gridThickness: 0,
        tickThickness: 0,	
        includeZero:true,		
		labelFontSize: 0,	
			 
      },
	  
	  legend:{
		enabled: false,
  
 },
		
		
		data: [
		{
			//wind speed
			type: "column",		
			showInLegend:false,			
			lineThickness: 0,
			name:"10 Min Max Wind Speed",
			dataPoints: dataPoints1,
			yValueFormatString:"#0.# <?php echo $windunit ;?>",
		}
		,{
			// 
			type: "stackedColumn",	
			color:"hsla(227, 22%, 92%,.3)",			
			//color:"hsla(215, 12%, 27%,1)",	
			markerSize:0,
			showInLegend:false,
			legendMarkerType: "circle",
			lineThickness: 0,
			markerType: "none",
			name:"Average",
			dataPoints: dataPoints2,
			yValueFormatString:"#0.# <?php echo $windunit ;?>",
		}

		]
		});

		setTimeout(function(){
		chart.render();
	},500);
		
	}
});</script>
<body>
</script>
<div id="chartContainer2" class="charthome"></div></div>

</body></html>